> ## Documentation Index
> Fetch the complete documentation index at: https://docs.artu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List distinct risk assessment names



## OpenAPI

````yaml /openapi/transactions.json post /transactions/risk-assessments
openapi: 3.1.1
info:
  title: ARTU Compliance API
  version: 1.0.0
  description: 'API for compliance management. Documentation: https://docs.artu.ai'
servers:
  - url: https://api.artu.ai
security:
  - bearerAuth: []
    environmentHeader: []
paths:
  /transactions/risk-assessments:
    post:
      tags:
        - Transactions
      summary: List distinct risk assessment names
      operationId: transactions.getRiskAssessments
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                query:
                  type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    name:
                      type: string
                    minScore:
                      type: number
                    maxScore:
                      type: number
                    roundingMode:
                      enum:
                        - ceil
                        - floor
                        - round
                      type: string
                    riskLevels:
                      anyOf:
                        - type: array
                          items:
                            type: object
                            properties:
                              maxValue:
                                type: number
                              label:
                                type: string
                                minLength: 1
                            required:
                              - maxValue
                              - label
                        - type: 'null'
                  required:
                    - name
                    - minScore
                    - maxScore
                    - roundingMode
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: API key authentication. Obtain your API key from the dashboard.
    environmentHeader:
      type: apiKey
      in: header
      name: X-Environment
      description: Target environment for the request. Must be "test" or "live".

````